|  | Home · All Classes · All Functions · Overviews

# Obsolete Members for QTreeWidgetItem

The following class members are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

- QTreeWidgetItem class reference

## Public Functions

QColor | backgroundColor ( int column ) const `(obsolete)`
void | setBackgroundColor ( int column, const QColor & color ) `(obsolete)`
void | setTextColor ( int column, const QColor & color ) `(obsolete)`
QColor | textColor ( int column ) const `(obsolete)`

## Member Function Documentation

### QColor QTreeWidgetItem::backgroundColor ( int column ) const

This function is deprecated. Use background() instead.

See also setBackgroundColor().

### void QTreeWidgetItem::setBackgroundColor ( int column, const QColor & color )

This function is deprecated. Use setBackground() instead.

See also backgroundColor().

### void QTreeWidgetItem::setTextColor ( int column, const QColor & color )

This function is deprecated. Use setForeground() instead.

See also textColor().

### QColor QTreeWidgetItem::textColor ( int column ) const

This function is deprecated. Use foreground() instead.

See also setTextColor().